Firmwares
Update firmware
Authorization
API key Firmwares: writeAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Firmwares: write
Path Parameters
workspaceId*string
Format
uuidfirmwareId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
slug*string
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/firmwares/q8Fd53pLn1Yr" \ -H "Content-Type: application/json" \ -d '{ "name": "Thermostat main application", "slug": "thermostat-application" }'Updated firmware.
{ "id": "q8Fd53pLn1Yr", "name": "Thermostat main application", "slug": "thermostat-application", "createdAt": "2025-10-14T12:00:00+00:00", "versionsCount": 8, "isUsedInDeployment": true, "deviceCount": 1840}